<template name="navbar">
	<nav class="navbar navbar-dark navbar-expand-lg fixed-top bg-brand">
		{{#if PublicSettings.testWarning}}
			{{> testWarningTicker}}
		{{/if}}
		{{! Brand and toggle get grouped for better mobile display }}
		<div class="navbar-container container-fluid">
			<a class="navbar-brand js-toggle-introduction me-4"
			   href="{{PublicSettings.nav.brandLink}}">
				{{#if connecting}}
					<span class="fa-solid fa-circle-notch fa-spin fa-fw connecting"
						  title="{{i18n 'status.connecting' 'Connecting to server' attr=true}}">
					</span>
					<span class="sr-only">{{i18n 'status.connecting'}}</span>
				{{/if}}
				{{#if notConnected}}
					<span class="fa-solid fa-circle-notch fa-fw no-connection"
						  title="{{i18n 'status.notConnected' 'No connection to server' attr=true}}">
					</span>
					<span class="sr-only">{{i18n 'status.notConnected'}}</span>
				{{/if}}
				{{#if connected}}
					<img src="{{headerLogo}}" alt="{{headerAlt}}">
				{{/if}}
				<span class="site-name">{{siteName}}</span>
				<span class="site-stage">{{siteStage}}</span>
			</a>
			<button class="navbar-toggler collapsed" type="button" data-bs-toggle="collapse"
					data-bs-target="#bs-navbar-collapse" aria-controls="bs-navbar-collapse"
					aria-expanded="false" aria-label="Toggle navigation">
				<i class="fa-solid fa-bars text-white"></i>
				<i class="fa-solid fa-x text-white"></i>
			</button>
			<div class="collapse navbar-collapse" id="bs-navbar-collapse">
				<ul class="navbar-nav flex-row me-auto mb-lg-0">
					{{#if PublicSettings.nav.home}}
						<li class="nav-item text-center col col-lg-auto">
							<a href="{{pathFor 'home'}}"
							   class="{{activeClass 'home'}} {{activeClass 'showCourse'}} nav-link js-nav-dropdown-close"
							   id="nav_courses">
								<span class="fa-regular fa-lightbulb fa-fw"
									  aria-hidden="true"></span>
								{{i18n 'menue.Courses' 'Find'}}
								<div class="nav-marker-caret"></div>
							</a>
						</li>
					{{/if}}
					{{#if PublicSettings.nav.proposeCourse}}
						<li class="nav-item text-center col col-lg-auto">
							<a href="{{pathFor 'proposeCourse'}}"
							   class="{{activeClass 'proposeCourse'}} {{activeClass 'showEvent' 'create'}} nav-link js-nav-dropdown-close">
								<span class="fa-solid fa-pencil fa-fw" aria-hidden="true"></span>
								{{i18n 'menue.Create' 'Create'}}
								<div class="nav-marker-caret"></div>
							</a>
						</li>
					{{/if}}
					{{#if PublicSettings.nav.calendar}}
						<li class="nav-item text-center col col-lg-auto">
							<a href="{{pathFor 'calendar'}}"
							   class="{{activeClass 'calendar'}} nav-link calendar-link js-nav-dropdown-close">
								<span class="fa-regular fa-calendar-days fa-fw"
									  aria-hidden="true"></span>
								{{i18n 'menue.Calendar' 'Calendar'}}
								<div class="nav-marker-caret"></div>
								<div class="nav-marker-bar"></div>
							</a>
						</li>
					{{/if}}
					{{#each links}}
						<li class="nav-item text-center col col-lg-auto">
							<a href="{{link}}" class="nav-link js-nav-dropdown-close">
								<span class="{{icon}} fa-fw" aria-hidden="true"></span>
								{{text}}
							</a>
						</li>
					{{/each}}
				</ul>
				<ul class="navbar-nav flex-row">
					{{> regionSelectionWrap inNavbar=true}}
					{{> languageSelectionWrap inNavbar=true}}
				</ul>
				<ul class="navbar-nav text-center">
					<li class="dropdown login-link">
						{{> loginButton}}
						<div class="dropdown-menu dropdown-menu-end login-dropdown">
							{{> userFrame}}
						</div>
					</li>
				</ul>
			</div>
		</div>
	</nav>
	<div class="navbar-custom-modal {{#if navbarIsCollapsed}}d-none{{/if}} js-nav-dropdown-close">
	</div>
</template>

<template name='loginButton'>
	{{#if loginServicesConfigured}}
		{{#if currentUser}}
			<a class="loginButton nav-link text-white" aria-expanded="false"
			   data-bs-toggle="dropdown" role="button">
				<span class="fa-solid fa-user fa-fw" aria-hidden="true"></span>
				{{currentUser.getDisplayName}}
			</a>
		{{else}}
			<a class="js-open-login loginButton nav-link text-white" id="openLogin" role="button">
				<span class="fa-solid fa-right-to-bracket fa-fw" aria-hidden="true"></span>
				{{i18n 'login.navig.unlogged' 'Log in/register'}}
			</a>
		{{/if}}
	{{/if}}
</template>

<template name='userFrame'>
	<div class="user-frame">
		{{> ownUserFrame}}
	</div>
</template>

<template name="ownUserFrame">
	<div class="ownuser-frame">
		<div class="mb-3 ownuser-frame-welcome">
			{{i18n 'login.frame.welcome' 'Welcome {NAME}.' NAME=currentUser.getDisplayName}}
		</div>
		<div class="mb-3">
			<a class="btn btn-secondary form-control"
			   href="{{pathFor 'userprofile' _id=currentUser._id}}">
				<span class="fa-solid fa-user fa-fw" aria-hidden="true"></span>
				{{i18n 'login.frame.profile' 'Public profile'}}
			</a>
		</div>
		<div class="mb-3">
			<a class="btn btn-secondary form-control" href="{{pathFor 'profile'}}">
				<span class="fa-solid fa-gears fa-fw" aria-hidden="true"></span>
				{{i18n 'login.frame.settings' 'Account settings'}}
			</a>
		</div>
		<div class="mb-3">
			<button type="button" class="btn btn-secondary js-logout form-control">
				<span class="fa-solid fa-right-from-bracket fa-fw" aria-hidden="true"></span>
				{{i18n 'login.logout' 'Log out'}}
			</button>
		</div>
	</div>
</template>

<template name="testWarningTicker">
	<marquee bgcolor="#000" direction="left" scrollamount="5" scrolldelay="1" style="color:white;">
		⚠ &nbsp; {{i18n 'menue.Testpage' 'This is only a testpage.'}} &nbsp; ⚠
		<span style="padding-left:10em"> </span>
		☠ &nbsp; {{i18n 'menue.Testpage2' 'All data will be erased regularly.'}} &nbsp; ☠
		<span style="padding-left:10em"> </span>
	</marquee>
</template>
